package land.chipmunk.chipmunkmod.config.migrations;

import land.chipmunk.chipmunkmod.config.migration.ConfigMigration;
import org.spongepowered.configurate.transformation.ConfigurationTransformation;
import org.spongepowered.configurate.transformation.TransformAction;

import static org.spongepowered.configurate.NodePath.path;

public final class MigrationV5 implements ConfigMigration {
    @Override
    public int version () {
        return 5;
    }

    @Override
    public ConfigurationTransformation create () {
        return ConfigurationTransformation.builder()
                .addAction(path("autoPrefix"), TransformAction.set(String.class, () -> "off"))
                .build();
    }
}
